Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring.remoting
Class XFireProxyFactoryBean

    java.lang.Object
      org.codehaus.xfire.spring.remoting.XFireClientInterceptor
          org.codehaus.xfire.spring.remoting.XFireProxyFactoryBean

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

    public class XFireProxyFactoryBean

extends XFireClientInterceptor
implements org.springframework.beans.factory.FactoryBean

Factory bean for XFire proxies. Behaves like the proxied service when used as bean reference, exposing the specified service interface.

The service URL must be an HTTP URL exposing a SOAP service. For details, see `XFireClientInterceptor` docs.

Author:
  Arjen Poutsma
See Also:
  `#setServiceInterface`, `XFireClientInterceptor.setServiceUrl(java.lang.String)`

Constructor Summary
`XFireProxyFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`java.lang.Object` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class org.codehaus.xfire.spring.remoting.XFireClientInterceptor
`convertBurlapAccessException, createXFireProxy, getService, getServiceUrl, getXfire, invoke, prepare, setProxyFactory, setService, setServiceUrl, setXfire`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFireProxyFactoryBean

    public XFireProxyFactoryBean()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.net.MalformedURLException

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `XFireClientInterceptor`
  Throws:
    `java.net.MalformedURLException`

### getObject

    public java.lang.Object getObject()

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`

### getObjectType

    public java.lang.Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.